Imagick::getImageChannelDistortion
Imagick::getImageChannelMean
The Imagick class
PHP Manual

# Imagick::getImageChannelExtrema

(No version information available, might be only in CVS)

Imagick::getImageChannelExtrema — Gets the extrema for one or more image channels

### Description

array Imagick::getImageChannelExtrema ( int `$channel` )
Warning

This function is currently not documented; only its argument list is available.

Gets the extrema for one or more image channels. Return value is an associative array with the keys "minima" and "maxima".

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageChannelDistortion
Imagick::getImageChannelMean
The Imagick class
PHP Manual